import pygame, ActivityBase
from helpers import *

class UnitedStates(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer3, answer3rect)
		self.screen.blit(answer2, answer2rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			UnitedStates_sound = load_sound("HipHop.wav")
			UnitedStates_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to return to the home screen", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to try again", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	
	def play(self):
		
		#StarSpangledBanner_sound = load_sound("StarSpangledBanner.wav")
		#self.StarSpangledBanner_sound.play()
		# Load all of our images for our question:
		answer1, answer1rect = load_image("ColinPowell.png")
		answer2, answer2rect = load_image("Bush.png")
		answer3, answer3rect = load_image("JoeBiden.png")
		answer1rect.center = 170,400
		answer2rect.center = 500,400
		answer3rect.center = 850,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Who is the President of the United States?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class China(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			China_sound = load_sound("Zhong.wav")
			China_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to return to the home screen", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to try again", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("ChinaFlag.png")
		answer2, answer2rect = load_image("IndiaFlag.png")
		answer3, answer3rect = load_image("CanadaFlag.png")
		answer1rect.center = 300,300
		answer2rect.center = 500,575
		answer3rect.center = 700,300

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which flag represents the People's Republic of China?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class India(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			India_sound = load_sound("India.wav")
			India_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("Russian.png")
		answer2, answer2rect = load_image("Hindi.png")
		answer3, answer3rect = load_image("Chinese.png")
		answer1rect.center = 350,550
		answer2rect.center = 350,280
		answer3rect.center = 700,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which language is spoken in India?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class Japan(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Japan_sound = load_sound("Japanese.wav")
			Japan_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("Lasagna.png")
		answer2, answer2rect = load_image("Hamburger.png")
		answer3, answer3rect = load_image("Sushi.png")
		answer1rect.center = 250,300
		answer2rect.center = 250,550
		answer3rect.center = 625,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which of these foods is common in Japan?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Russia(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Russia_sound = load_sound("Russian.wav")
			Russia_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("RussiaClothing.png")
		answer2, answer2rect = load_image("ChineseClothing.png")
		answer3, answer3rect = load_image("AfricanClothing.png")
		answer1rect.center = 300,285
		answer2rect.center = 770,400
		answer3rect.center = 300,600

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which picture shows an example of traditional Russian dress?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class UnitedKingdom(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Britain_sound = load_sound("British.wav")
			Britain_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("GordonBrown.png")
		answer2, answer2rect = load_image("TonyBlair.png")
		answer3, answer3rect = load_image("JohnKerry.png")
		answer1rect.center = 175,400
		answer2rect.center = 500,400
		answer3rect.center = 850,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Who is the Prime Minister of the United Kingdom?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class France(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			France_sound = load_sound("French.wav")
			France_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("DollarBill.png")
		answer2, answer2rect = load_image("JapanYen.png")
		answer3, answer3rect = load_image("FrenchEuro.png")
		answer1rect.center = 300,250
		answer2rect.center = 300,500
		answer3rect.center = 700,410

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which one is an example of French currency?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class Brazil(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Brazil_sound = load_sound("Brazil.wav")
			Brazil_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("IraqFlag.png")
		answer2, answer2rect = load_image("PortugalFlag.png")
		answer3, answer3rect = load_image("BrazilFlag.png")
		answer1rect.center = 730,255
		answer2rect.center = 300,400
		answer3rect.center = 730,530

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which Flag represents Brazil?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class Peru(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Peru_sound = load_sound("Peru.wav")
			Peru_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("German.png")
		answer2, answer2rect = load_image("Spanish2.png")
		answer3, answer3rect = load_image("Korean.png")
		answer1rect.center = 220,250
		answer2rect.center = 270,500
		answer3rect.center = 750,410

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("What language is spoken in Peru?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True

				
		# Draw everything to the screen
		self.screen.blit(self.background, (0, 0))
		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class Egypt(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Egypt_sound = load_sound("Egyptian.wav")
			Egypt_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("LongRiver.png")
		answer2, answer2rect = load_image("TallestBuilding.png")
		answer3, answer3rect = load_image("TallestWaterfall.png")
		answer1rect.center = 510,410
		answer2rect.center = 170,410
		answer3rect.center = 850,410

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which record does Egypt lay claim too?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
		
class Tanzania(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
	
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		self.screen.blit(self.background, (0, 0))
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,50
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		text2 = font.render("Sahara", 1, (255, 255, 255))
		textrect2 = text2.get_rect()
		textrect2.centerx, textrect2.centery = 100, 130
		self.screen.blit(text2, textrect2)

		text3 = font.render("Himalayas", 1, (255, 255, 255))
		textrect3 = text3.get_rect()
		textrect3.centerx, textrect3.centery = 500, 670
		self.screen.blit(text3, textrect3)
		
		text4 = font.render("Serengeti", 1, (255, 255, 255))
		textrect4 = text4.get_rect()
		textrect4.centerx, textrect4.centery = 915, 390
		self.screen.blit(text4, textrect4)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			Tanzania_sound = load_sound("Tanzania.wav")
			Tanzania_sound.play()
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct
	
	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("Sahara.png")
		answer2, answer2rect = load_image("Himalayas.png")
		answer3, answer3rect = load_image("Serengeti2.png")
		answer1rect.center = 250,250
		answer2rect.center = 500,550
		answer3rect.center = 765,250

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
					# Ask our question until they get it right
			if self.askQuestion("Which natural wonder belongs to Tanzania?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True

				
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect