import pygame
from helpers import *

class ActivityBase(pygame.sprite.Sprite):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		pygame.sprite.Sprite.__init__(self)
		self.screen = pygame.display.get_surface()
		self.area = self.screen.get_rect()
		self.background = background_image

		self.activity_completed = False
		self.image, self.rect = load_image(main_image_file)
		self.completed_image, self.completed_image_rect = load_image(completed_image_file)
		self.rect.topleft = topleft

	def play(self):
		#default play will simply ask the user to press any key to complete the activity
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					self.activity_completed = True
		
			# Draw everything to the screen
			self.screen.blit(self.background, (0, 0))

			font = pygame.font.Font(None, 50)
			text = font.render("Press any key to complete this activity.", 1, (0,0,0))
			textrect = text.get_rect()
			textrect.centerx, textrect.centery = self.area.centerx,self.area.centery
			screen.blit(text, textrect)
			
			pygame.display.flip()

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect
