#!/usr/bin/env python

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 1020, 700
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("RightwaysEarth.png")
background_rect.center = (400, 400)

# Set up the group of activities
activities = pygame.sprite.RenderUpdates()
activities.add(UnitedStates((0,425),background,"StatueofLibertyUS2.png","FlagPicUS.png"))
activities.add(India((170,425),background,"RajasthanIndia.png","TajMahalIndia.png"))
activities.add(China((168,565),background,"ForbiddenCityChina.png","GreatWallChina.png"))
activities.add(Japan((419,425),background,"JapanMiyajima.png", "MtFuji.png"))
activities.add(Russia((419,565),background, "RussiaKremlin.png", "ChurchofSpilledBloodRussia.png"))
activities.add(France((624,425),background, "NotreDame3.png", "EiffelTower.png"))
activities.add(UnitedKingdom((820, 3), background, "BigBenLondon.png", "BuckinghamPalaceUK.png"))
activities.add(Brazil((820, 138), background, "AmazonBrazil.png", "RiodeJaneiro.png"))
activities.add(Peru((820, 277), background, "PeruInca.png", "AndesPeru.png"))
activities.add(Egypt((820, 430), background, "NileRiver.png", "EgyptPyramides.png"))
activities.add(Tanzania((820, 569), background, "ElephantsTanzania.png", "TanzaniaBeach.png"))

# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 100)
	text = font.render("World Safari", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 30)
	text = font.render("Traveling the world is difficult. It takes time, money and a good sense of adventure.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,250
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 30)
	text = font.render("But here's the opportuntiy to learn more about the world not physically, but virtually.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,350
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 30)
	text = font.render("Learn something about 11 nations around the world and enlighten yourself.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,450
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 40)
	text = font.render("Press any key to begin your journey!", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,550
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window

# Main game play
while True:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			for activity in activities:
				if activity.rect.collidepoint(event.pos):
					activity.play()

	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)
	
	pygame.display.flip()
	


